From caf05827744fc9b9e4660af122a7c2bb3f958fdd Mon Sep 17 00:00:00 2001
From: rivularis <rivularis@protonmail.com>
Date: Sat, 13 Jul 2019 06:41:22 -0700
Subject: [PATCH] New Package: windscribe-cli-1.3

---
 srcpkgs/windscribe-cli/template | 38 +++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 srcpkgs/windscribe-cli/template

diff --git a/srcpkgs/windscribe-cli/template b/srcpkgs/windscribe-cli/template
new file mode 100644
index 00000000000..6e9a007725d
--- /dev/null
+++ b/srcpkgs/windscribe-cli/template
@@ -0,0 +1,38 @@
+# Template file for 'windscribe-cli'
+pkgname=windscribe-cli
+version=1.3
+revision=1
+archs="x86_64"
+create_wrksrc=yes
+hostmakedepends="xz tar"
+depends="openvpn"
+short_desc="Port of Windscribes CLI"
+maintainer="Rivularis <rivularis@protonmail.com>"
+license="GPL-2.0"
+homepage="https://windscribe.com/"
+nopie=yes
+
+_windscribeVersion=19
+distfiles="https://assets.staticnetcontent.com/desktop/linux/${pkgname}_${version}-${_windscribeVersion}_amd64.deb"
+checksum=2adef3ff36423de681279a7f8ddaac29612779bdbcba9cf24098952646fa0253
+do_extract() {
+	ar x ${XBPS_SRCDISTDIR}/${pkgname}-${version}/${pkgname}_${version}-${_windscribeVersion}_amd64.deb
+	cd ${wrksrc}
+	tar xvf data.tar.xz
+	tar xzpvf control.tar.gz
+}
+
+do_install() {
+	echo "creating windscribe directory"
+	vmkdir etc/windscribe
+	echo "Configuring Bash Completion"
+	vinstall ${wrksrc}/etc/bash_completion.d/windscribe_complete 644 usr/bash-completion/completions
+	vinstall ${wrksrc}/etc/init.d/windscribe-cli 644 etc/init.d/windscribe-cli
+	echo "configuring windscribe binary and license"
+	vbin ${wrksrc}/usr/bin/windscribe
+	vlicense ${wrksrc}/usr/share/doc/windscribe-cli/copyright
+}
+post_install() {
+	vmkdir bin/sv
+	ln -s ${DESTDIR}/bin/sv ${DESTDIR}/etc/init.d/
+}
